CVE-2024-35185

CVSS 3.1 Score 5.3 of 10 (medium)

Details

Published May 16, 2024
CWE ID 400
CWE ID 770

Summary

CVE-2024-35185 is a vulnerability affecting the Minder software supply chain security platform prior to version 0.0.49. The vulnerability allows for a denial of service attack through an attacker-controlled REST endpoint, which can crash the Minder server. The issue arises when Minder sends a request to an endpoint and uses the response body data for rule evaluation. If the response is large enough, it can consume memory on the machine and cause the server to crash. An attacker can exploit this by configuring remote REST endpoints to return large responses and make Minder send requests to those endpoints, leading to a server crash. The vulnerability has been fixed in version 0.0.49, and organizations using earlier versions should update their software to mitigate this risk.

Leverage our Vulnerability Intelligence module to secure your systems now - get detailed insights on CVE-2024-37364. Book your demo today.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-35185 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options